Loading...
Searching...
No Matches
pappso::MassSpectrumLineData Struct Reference

`#include <bafasciimsrunreader.h>`

## Public Attributes

double | retentionTime
QString | ionizationMode
QString | ionSourceType
int | msLevel
QString | dash
QString | peakShapeType
std::pair< double, double > | mz_range
std::size_t | peakCount
QStringList | peakList

## Detailed Description

Definition at line 10 of file bafasciimsrunreader.h.

## Member Data Documentation

## dash

QString pappso::MassSpectrumLineData::dash

Definition at line 16 of file bafasciimsrunreader.h.

Referenced by pappso::BafAsciiMsRunReader::parseMassSpectrumLine().

## ionizationMode

QString pappso::MassSpectrumLineData::ionizationMode

Definition at line 13 of file bafasciimsrunreader.h.

Referenced by pappso::BafAsciiMsRunReader::parseMassSpectrumLine().

## ionSourceType

QString pappso::MassSpectrumLineData::ionSourceType

Definition at line 14 of file bafasciimsrunreader.h.

Referenced by pappso::BafAsciiMsRunReader::parseMassSpectrumLine().

## msLevel

int pappso::MassSpectrumLineData::msLevel

Definition at line 15 of file bafasciimsrunreader.h.

Referenced by pappso::BafAsciiMsRunReader::parseMassSpectrumLine(), pappso::BafAsciiMsRunReader::qualifiedMassSpectrumFromBafAsciiMSDataFile(), and pappso::BafAsciiMsRunReader::readSpectrumCollectionByMsLevel().

## mz_range

std::pair<double, double> pappso::MassSpectrumLineData::mz_range

Definition at line 18 of file bafasciimsrunreader.h.

Referenced by pappso::BafAsciiMsRunReader::parseMassSpectrumLine().

## peakCount

std::size_t pappso::MassSpectrumLineData::peakCount

Definition at line 19 of file bafasciimsrunreader.h.

Referenced by pappso::BafAsciiMsRunReader::parseMassSpectrumLine().

## peakList

QStringList pappso::MassSpectrumLineData::peakList

Definition at line 20 of file bafasciimsrunreader.h.

Referenced by pappso::BafAsciiMsRunReader::parseMassSpectrumLine(), pappso::BafAsciiMsRunReader::qualifiedMassSpectrumFromBafAsciiMSDataFile(), and pappso::BafAsciiMsRunReader::readSpectrumCollectionByMsLevel().

## peakShapeType

QString pappso::MassSpectrumLineData::peakShapeType

Definition at line 17 of file bafasciimsrunreader.h.

Referenced by pappso::BafAsciiMsRunReader::parseMassSpectrumLine().

## retentionTime

double pappso::MassSpectrumLineData::retentionTime

Definition at line 12 of file bafasciimsrunreader.h.

Referenced by pappso::BafAsciiMsRunReader::parseMassSpectrumLine(), pappso::BafAsciiMsRunReader::qualifiedMassSpectrumFromBafAsciiMSDataFile(), and pappso::BafAsciiMsRunReader::readSpectrumCollectionByMsLevel().

The documentation for this struct was generated from the following file:

- pappsomspp/core/msrun/bafasciimsrunreader.h